<?php
/**
 * Advance Pet Care: Block Patterns
 *
 * @package  Advance Pet Care
 * @since   1.0.0
 */

/**
 * Register Block Pattern Category.
 */
if ( function_exists( 'register_block_pattern_category' ) ) {

	register_block_pattern_category(
		'advance-pet-care',
		array( 'label' => __( ' Advance Pet Care', 'advance-pet-care' ) )
	);
}

/**
 * Register Block Patterns.
 */
if ( function_exists( 'register_block_pattern' ) ) {
	register_block_pattern(
		'advance-pet-care/banner-section',
		array(
			'title'      => __( 'Banner Section', 'advance-pet-care' ),
			'categories' => array( 'advance-pet-care' ),
			'content'    => "<!-- wp:cover {\"url\":\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/banner.png\",\"id\":1141,\"dimRatio\":40,\"overlayColor\":\"black\",\"isDark\":false,\"align\":\"full\",\"className\":\"banner-section  position-relative\"} -->\n<div class=\"wp-block-cover alignfull is-light banner-section  position-relative\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim-40 has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-1141\" alt=\"\" src=\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/banner.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"8%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:8%\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"45%\",\"className\":\"banner-section-content\"} -->\n<div class=\"wp-block-column banner-section-content\" style=\"flex-basis:45%\"><!-- wp:heading {\"level\":1,\"style\":{\"typography\":{\"fontSize\":\"44px\"}},\"textColor\":\"white\"} -->\n<h1 class=\"has-white-color has-text-color\" style=\"font-size:44px\">Lorem Ipsum Dolor Sit Amet Consectetur Adipiscing Elit</h1>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"15px\"}},\"textColor\":\"white\"} -->\n<p class=\"has-white-color has-text-color\" style=\"font-size:15px\">Lorem ipsum&nbsp;is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"textColor\":\"white\",\"style\":{\"typography\":{\"fontSize\":\"12px\"},\"color\":{\"background\":\"#0d7f71\"},\"border\":{\"radius\":\"28px\"}},\"className\":\"banner-section-btn d-inline-block\"} -->\n<div class=\"wp-block-button has-custom-font-size banner-section-btn d-inline-block\" style=\"font-size:12px\"><a class=\"wp-block-button__link has-white-color has-text-color has-background\" style=\"border-radius:28px;background-color:#0d7f71\">GET APPOINTMENT</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"4.7%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:4.7%\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->",
		)
	);

	register_block_pattern(
		'advance-pet-care/about-us-section',
		array(
			'title'      => __( 'about-us-section', 'advance-pet-care' ),
			'categories' => array( 'advance-pet-care' ),
			'content'    => "<!-- wp:cover {\"url\":\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/About-bg.png\",\"id\":1159,\"dimRatio\":10,\"overlayColor\":\"white\",\"focalPoint\":{\"x\":\"0.75\",\"y\":\"0.52\"},\"isDark\":false,\"align\":\"full\",\"className\":\"service-section \"} -->\n<div class=\"wp-block-cover alignfull is-light service-section\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-white-background-color has-background-dim-10 has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-1159\" alt=\"\" src=\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/About-bg.png\" style=\"object-position:75% 52%\" data-object-fit=\"cover\" data-object-position=\"75% 52%\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:columns {\"verticalAlignment\":null,\"className\":\"service-box px-lg-5 mx-md-5\"} -->\n<div class=\"wp-block-columns service-box px-lg-5 mx-md-5\"><!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"33.33%\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"flex-basis:33.33%\"><!-- wp:image {\"id\":1160,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/About.png\" alt=\"\" class=\"wp-image-1160\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"66.66%\",\"className\":\"content-box \"} -->\n<div class=\"wp-block-column content-box\" style=\"flex-basis:66.66%\"><!-- wp:heading {\"style\":{\"color\":{\"text\":\"#3a4d5e\"},\"typography\":{\"fontSize\":\"32px\"}}} -->\n<h2 class=\"has-text-color\" style=\"color:#3a4d5e;font-size:32px\">Welcome To Advance Pet Care</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#3a4d5e\"}}} -->\n<p class=\"has-text-color\" style=\"color:#3a4d5e\">Lorem ipsum&nbsp;is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"textColor\":\"white\",\"align\":\"left\",\"style\":{\"color\":{\"background\":\"#0d7f71\"},\"typography\":{\"fontSize\":\"12px\"},\"border\":{\"radius\":\"28px\"}},\"className\":\"discover-btn\"} -->\n<div class=\"wp-block-button alignleft has-custom-font-size discover-btn\" style=\"font-size:12px\"><a class=\"wp-block-button__link has-white-color has-text-color has-background\" style=\"border-radius:28px;background-color:#0d7f71\">DISCOVER MORE</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->",
		)
	);
}